%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-keystone
Version:        12.4.0
Release:        9%{?dist}
Summary:        Puppet module for OpenStack Keystone
License:        ASL 2.0

URL:            https://launchpad.net/puppet-keystone

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=12.4.0
Patch0001: 0001-Use-OS_BOOTSTRAP_PASSWORD-instead-of-passing-CLI.patch
Patch0002: 0002-authtoken-cannot-manage-python-memcache-on-RedHat.patch
Patch0003: 0003-Deprecate-module_plugins.patch
Patch0004: 0004-Update-Gemfile-to-pull-spec_helper-from-stable-queen.patch
Patch0005: 0005-Add-openstack-db-tag-to-db-sync-Exec-resource.patch
Patch0006: 0006-Add-a-LDAP-param-group_members_are_ids.patch
Patch0007: 0007-Keystone_user-should-not-use-disabled-projects.patch
Patch0008: 0008-Manage-oslo_middleware-max_request_body_size.patch
Patch0009: 0009-Update-ldap-backend-options.patch
Patch0010: 0010-Remove-PE-requirement-from-metadata.json.patch
Patch0011: 0011-Always-pass-name-when-flushing-keystone_service.patch

BuildArch:      noarch

Requires:       puppet-apache
Requires:       puppet-inifile
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Keystone

%prep
%setup -q -n openstack-keystone-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/keystone/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/keystone/



%files
%{_datadir}/openstack-puppet/modules/keystone/


%changelog
* Wed Oct 28 2020 Miguel Garcia <mgarciac@redhat.com> 12.4.0-9
- Always pass --name when flushing keystone_service

* Thu May 07 2020 Miguel Garcia <mgarciac@redhat.com> 12.4.0-8
- Remove PE requirement from metadata.json
- Merge "authtoken cannot manage python-memcache on RedHat" into stable/queens
- Merge "Use OS_BOOTSTRAP_PASSWORD instead of passing CLI" into stable/queens

* Tue Apr 21 2020 lbragsta <lbragsta@redhat.com> 12.4.0-7
- Update ldap-backend options (rhbz#1811546)
- Merge "authtoken cannot manage python-memcache on RedHat" into stable/queens
- Merge "Use OS_BOOTSTRAP_PASSWORD instead of passing CLI" into stable/queens

* Fri Sep 27 2019 Steve Linabery <slinaber@redhat.com> 12.4.0-6
- Manage oslo_middleware/max_request_body_size
- Merge "authtoken cannot manage python-memcache on RedHat" into stable/queens
- Merge "Use OS_BOOTSTRAP_PASSWORD instead of passing CLI" into stable/queens

* Fri Apr 05 2019 Thierry Vignaud <tvignaud@redhat.com> 12.4.0-5
- Keystone_user should not use disabled projects

* Thu Feb 14 2019 Harry Rybacki <hrybacki@redhat.com> 12.4.0-4
- Add a LDAP param group_members_are_ids (rhbz#1652550)

* Mon Nov 26 2018 Steve Linabery <slinaber@redhat.com> 12.4.0-3
- Add 'openstack-db' tag to db-sync Exec resource
- Update Gemfile to pull spec_helper from stable/queens

* Mon Jul 23 2018 Jon Schlueter <jschluet@redhat.com> 12.4.0-2
- authtoken cannot manage python-memcache on RedHat
- Use OS_BOOTSTRAP_PASSWORD instead of passing CLI
- Deprecate module_plugins
- Update to 12.4.0 (rhbz#1607588)

* Tue Feb 20 2018 RDO <dev@lists.rdoproject.org> 12.3.0-1
- Update to 12.3.0
